# SourcePath: attr/20060807dev
Summary: Utilities for managing filesystem extended attributes.
Name: sony-target-dev-attr
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-attr
Version: 2.4.32
Release: 11000001
Source : attr_%{version}.tar.gz
Patch1: attr-2.4.32_arm.patch
License: GPL2 / LGPL2.1
URL: http://oss.sgi.com/projects/xfs/index.html
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%package -n %{pkgname}
Summary: Utilities for managing filesystem extended attributes.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.


%prep
%setup -n attr-%{version}

%if "%{sony_target_cpu}" == "arm"
%patch1 -p1
%endif

%build
%sony_target_dev_setup
LIBTOOL="%{sony_target_dir}%{sony_target_dev_bin_dir}/libtool"
LIBUUID="%{sony_target_dir}%{sony_target_dev_lib_dir}/libuuid.a"
export LIBTOOL LIBUUID
autoconf
./configure         \
	--host=%{sony_target_config} \
        --build=%{sony_host_config} \
	--prefix=%{sony_target_dev_prefix} \
        --exec_prefix=%{sony_target_dev_exec_prefix} \
        --libdir=%{sony_target_dev_dir}/lib \
        --libexecdir=%{sony_target_dev_lib_dir} \
        --sbindir=%{sony_target_dev_dir}/sbin \
        --bindir=%{sony_target_dev_bin_dir} \
        --includedir=%{sony_target_dev_include_dir} \
        | tee build.log

make


%install
%sony_target_dev_setup
rm -rf %{buildroot}

DIST_ROOT=%{buildroot}%{sony_target_dir}
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest

export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
make install \
  prefix=%{sony_target_dev_prefix} \
  exec_prefix=%{sony_target_dev_exec_prefix} \
  bindir=%{sony_target_dev_bin_dir} \
  sbindir=%{sony_target_dev_dir}/sbin \
  sysconfdir=%{sony_target_dev_sysconf_dir} \
  datadir=%{sony_target_dev_data_dir} \
  includedir=%{sony_target_dev_include_dir} \
  libdir=%{sony_target_dev_dir}/lib \
  libexecdir=%{sony_target_dev_lib_dir} \
  localstatedir=%{sony_target_dev_localstate_dir} \
  sharedstatedir=%{sony_target_dev_sharedstate_dir} \
  mandir=%{sony_target_dev_man_dir} \
  infodir=%{sony_target_dev_info_dir} \
  DIST_MANIFEST="$DIST_INSTALL"

make install-dev \
  prefix=%{sony_target_dev_prefix} \
  exec_prefix=%{sony_target_dev_exec_prefix} \
  bindir=%{sony_target_dev_bin_dir} \
  sbindir=%{sony_target_dev_dir}/sbin \
  sysconfdir=%{sony_target_dev_sysconf_dir} \
  datadir=%{sony_target_dev_data_dir} \
  includedir=%{sony_target_dev_include_dir} \
  libdir=%{sony_target_dev_dir}/lib \
  libexecdir=%{sony_target_dev_lib_dir} \
  localstatedir=%{sony_target_dev_localstate_dir} \
  sharedstatedir=%{sony_target_dev_sharedstate_dir} \
  mandir=%{sony_target_dev_man_dir} \
  infodir=%{sony_target_dev_info_dir} \
  DIST_MANIFEST="$DIST_INSTALL_DEV"

make install-lib \
  prefix=%{sony_target_dev_prefix} \
  exec_prefix=%{sony_target_dev_exec_prefix} \
  bindir=%{sony_target_dev_bin_dir} \
  sbindir=%{sony_target_dev_dir}/sbin \
  sysconfdir=%{sony_target_dev_sysconf_dir} \
  datadir=%{sony_target_dev_data_dir} \
  includedir=%{sony_target_dev_include_dir} \
  libdir=%{sony_target_dev_dir}/lib \
  libexecdir=%{sony_target_dev_lib_dir} \
  localstatedir=%{sony_target_dev_localstate_dir} \
  sharedstatedir=%{sony_target_dev_sharedstate_dir} \
  mandir=%{sony_target_dev_man_dir} \
  infodir=%{sony_target_dev_info_dir} \
  DIST_MANIFEST="$DIST_INSTALL_LIB"

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}

# nuke .la files, etc
rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/lib/*.la
rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/lib/*.a

rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.la

# fix links to shared libs and permissions
rm -f %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.so
ln -s ../../lib/libattr.so %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libattr.so
chmod 0755 %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/lib/libattr.so.*.*.*


# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}
%{sony_target_dir}%{sony_target_dev_include_dir}/attr/*.h
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libattr.a

%changelog
* Mon Apr 20 2009 Sony Corporation
- Updated to 6.x 

* Mon May 09 2007 Sony Corporation
- Addition of patch

* Mon Aug 07 2006 Sony Corporation
- Initial build
